MEX2010a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_2010a )
MATLAB_ARCH_2010a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_2010a )
MATLAB_OVERRIDES_2010a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_2010a )

tags_2010a = $(addsuffix .tag,$(addprefix 2010a_,$(MATLABEXTENSIONS)))

matlab2010adir=$(libdir)/matlab2010a

.PHONEY: \
	matlab-compile-2010a \
	matlab-install-2010a

matlab-compile-2010a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2010a \
	  MATLAB_TARGETS=ndsclient-matlab-2010a \
	  matlab-compile-by-mex

matlab-install-2010a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2010a \
	  MATLABVER=2010a \
	  matlab-install

2010a_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_2010a) $(MEX2010a) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_2010a) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 2010a
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX2010a
# matlab2010a_PROGRAMS=$(programs_2010a)
all-local: $(tags_2010a)
install-exec-local: matlab-install-2010a
else
EXTRA_PROGRAMS		+= $(programs_2010a)
endif
MEX2009b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_2009b )
MATLAB_ARCH_2009b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_2009b )
MATLAB_OVERRIDES_2009b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_2009b )

tags_2009b = $(addsuffix .tag,$(addprefix 2009b_,$(MATLABEXTENSIONS)))

matlab2009bdir=$(libdir)/matlab2009b

.PHONEY: \
	matlab-compile-2009b \
	matlab-install-2009b

matlab-compile-2009b:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2009b \
	  MATLAB_TARGETS=ndsclient-matlab-2009b \
	  matlab-compile-by-mex

matlab-install-2009b:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2009b \
	  MATLABVER=2009b \
	  matlab-install

2009b_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_2009b) $(MEX2009b) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_2009b) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 2009b
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX2009b
# matlab2009b_PROGRAMS=$(programs_2009b)
all-local: $(tags_2009b)
install-exec-local: matlab-install-2009b
else
EXTRA_PROGRAMS		+= $(programs_2009b)
endif
MEX2009a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_2009a )
MATLAB_ARCH_2009a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_2009a )
MATLAB_OVERRIDES_2009a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_2009a )

tags_2009a = $(addsuffix .tag,$(addprefix 2009a_,$(MATLABEXTENSIONS)))

matlab2009adir=$(libdir)/matlab2009a

.PHONEY: \
	matlab-compile-2009a \
	matlab-install-2009a

matlab-compile-2009a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2009a \
	  MATLAB_TARGETS=ndsclient-matlab-2009a \
	  matlab-compile-by-mex

matlab-install-2009a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2009a \
	  MATLABVER=2009a \
	  matlab-install

2009a_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_2009a) $(MEX2009a) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_2009a) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 2009a
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX2009a
# matlab2009a_PROGRAMS=$(programs_2009a)
all-local: $(tags_2009a)
install-exec-local: matlab-install-2009a
else
EXTRA_PROGRAMS		+= $(programs_2009a)
endif
MEX2008b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_2008b )
MATLAB_ARCH_2008b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_2008b )
MATLAB_OVERRIDES_2008b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_2008b )

tags_2008b = $(addsuffix .tag,$(addprefix 2008b_,$(MATLABEXTENSIONS)))

matlab2008bdir=$(libdir)/matlab2008b

.PHONEY: \
	matlab-compile-2008b \
	matlab-install-2008b

matlab-compile-2008b:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2008b \
	  MATLAB_TARGETS=ndsclient-matlab-2008b \
	  matlab-compile-by-mex

matlab-install-2008b:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2008b \
	  MATLABVER=2008b \
	  matlab-install

2008b_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_2008b) $(MEX2008b) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_2008b) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 2008b
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX2008b
# matlab2008b_PROGRAMS=$(programs_2008b)
all-local: $(tags_2008b)
install-exec-local: matlab-install-2008b
else
EXTRA_PROGRAMS		+= $(programs_2008b)
endif
MEX2008a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_2008a )
MATLAB_ARCH_2008a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_2008a )
MATLAB_OVERRIDES_2008a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_2008a )

tags_2008a = $(addsuffix .tag,$(addprefix 2008a_,$(MATLABEXTENSIONS)))

matlab2008adir=$(libdir)/matlab2008a

.PHONEY: \
	matlab-compile-2008a \
	matlab-install-2008a

matlab-compile-2008a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2008a \
	  MATLAB_TARGETS=ndsclient-matlab-2008a \
	  matlab-compile-by-mex

matlab-install-2008a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2008a \
	  MATLABVER=2008a \
	  matlab-install

2008a_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_2008a) $(MEX2008a) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_2008a) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 2008a
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX2008a
# matlab2008a_PROGRAMS=$(programs_2008a)
all-local: $(tags_2008a)
install-exec-local: matlab-install-2008a
else
EXTRA_PROGRAMS		+= $(programs_2008a)
endif
MEX2007b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_2007b )
MATLAB_ARCH_2007b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_2007b )
MATLAB_OVERRIDES_2007b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_2007b )

tags_2007b = $(addsuffix .tag,$(addprefix 2007b_,$(MATLABEXTENSIONS)))

matlab2007bdir=$(libdir)/matlab2007b

.PHONEY: \
	matlab-compile-2007b \
	matlab-install-2007b

matlab-compile-2007b:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2007b \
	  MATLAB_TARGETS=ndsclient-matlab-2007b \
	  matlab-compile-by-mex

matlab-install-2007b:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2007b \
	  MATLABVER=2007b \
	  matlab-install

2007b_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_2007b) $(MEX2007b) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_2007b) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 2007b
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX2007b
# matlab2007b_PROGRAMS=$(programs_2007b)
all-local: $(tags_2007b)
install-exec-local: matlab-install-2007b
else
EXTRA_PROGRAMS		+= $(programs_2007b)
endif
MEX2007a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_2007a )
MATLAB_ARCH_2007a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_2007a )
MATLAB_OVERRIDES_2007a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_2007a )

tags_2007a = $(addsuffix .tag,$(addprefix 2007a_,$(MATLABEXTENSIONS)))

matlab2007adir=$(libdir)/matlab2007a

.PHONEY: \
	matlab-compile-2007a \
	matlab-install-2007a

matlab-compile-2007a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2007a \
	  MATLAB_TARGETS=ndsclient-matlab-2007a \
	  matlab-compile-by-mex

matlab-install-2007a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2007a \
	  MATLABVER=2007a \
	  matlab-install

2007a_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_2007a) $(MEX2007a) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_2007a) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 2007a
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX2007a
# matlab2007a_PROGRAMS=$(programs_2007a)
all-local: $(tags_2007a)
install-exec-local: matlab-install-2007a
else
EXTRA_PROGRAMS		+= $(programs_2007a)
endif
MEX2006b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_2006b )
MATLAB_ARCH_2006b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_2006b )
MATLAB_OVERRIDES_2006b=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_2006b )

tags_2006b = $(addsuffix .tag,$(addprefix 2006b_,$(MATLABEXTENSIONS)))

matlab2006bdir=$(libdir)/matlab2006b

.PHONEY: \
	matlab-compile-2006b \
	matlab-install-2006b

matlab-compile-2006b:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2006b \
	  MATLAB_TARGETS=ndsclient-matlab-2006b \
	  matlab-compile-by-mex

matlab-install-2006b:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2006b \
	  MATLABVER=2006b \
	  matlab-install

2006b_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_2006b) $(MEX2006b) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_2006b) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 2006b
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX2006b
# matlab2006b_PROGRAMS=$(programs_2006b)
all-local: $(tags_2006b)
install-exec-local: matlab-install-2006b
else
EXTRA_PROGRAMS		+= $(programs_2006b)
endif
MEX2006a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_2006a )
MATLAB_ARCH_2006a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_2006a )
MATLAB_OVERRIDES_2006a=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_2006a )

tags_2006a = $(addsuffix .tag,$(addprefix 2006a_,$(MATLABEXTENSIONS)))

matlab2006adir=$(libdir)/matlab2006a

.PHONEY: \
	matlab-compile-2006a \
	matlab-install-2006a

matlab-compile-2006a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2006a \
	  MATLAB_TARGETS=ndsclient-matlab-2006a \
	  matlab-compile-by-mex

matlab-install-2006a:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_2006a \
	  MATLABVER=2006a \
	  matlab-install

2006a_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_2006a) $(MEX2006a) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_2006a) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 2006a
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX2006a
# matlab2006a_PROGRAMS=$(programs_2006a)
all-local: $(tags_2006a)
install-exec-local: matlab-install-2006a
else
EXTRA_PROGRAMS		+= $(programs_2006a)
endif
MEX13=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_13 )
MATLAB_ARCH_13=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_13 )
MATLAB_OVERRIDES_13=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_13 )

tags_13 = $(addsuffix .tag,$(addprefix 13_,$(MATLABEXTENSIONS)))

matlab13dir=$(libdir)/matlab13

.PHONEY: \
	matlab-compile-13 \
	matlab-install-13

matlab-compile-13:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_13 \
	  MATLAB_TARGETS=ndsclient-matlab-13 \
	  matlab-compile-by-mex

matlab-install-13:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_13 \
	  MATLABVER=13 \
	  matlab-install

13_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_13) $(MEX13) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_13) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 13
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX13
# matlab13_PROGRAMS=$(programs_13)
all-local: $(tags_13)
install-exec-local: matlab-install-13
else
EXTRA_PROGRAMS		+= $(programs_13)
endif
MEX74=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MEX matlab_74 )
MATLAB_ARCH_74=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_ARCH matlab_74 )
MATLAB_OVERRIDES_74=$(shell env PKG_CONFIG_PATH=$(abs_top_builddir)/lib/pkgconfig pkg-config --variable=MATLAB_OVERRIDES matlab_74 )

tags_74 = $(addsuffix .tag,$(addprefix 74_,$(MATLABEXTENSIONS)))

matlab74dir=$(libdir)/matlab74

.PHONEY: \
	matlab-compile-74 \
	matlab-install-74

matlab-compile-74:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_74 \
	  MATLAB_TARGETS=ndsclient-matlab-74 \
	  matlab-compile-by-mex

matlab-install-74:
	$(MAKE) \
	  MATLAB_PKGCFG=matlab_74 \
	  MATLABVER=74 \
	  matlab-install

74_%.tag: %.c
	env MATLAB_ARCH=$(MATLAB_ARCH_74) $(MEX74) \
	  -I$(top_srcdir)/src/client $(MATLAB_OVERRIDES_74) \
	  $< $(srcdir)/nds_mex_utils.c \
	  ../client/.libs/libndsclient$(SHEXT) \
	  -outdir 74
	touch $@

# These things are only done if the appropriate version of MATLAB is found
if MEX74
# matlab74_PROGRAMS=$(programs_74)
all-local: $(tags_74)
install-exec-local: matlab-install-74
else
EXTRA_PROGRAMS		+= $(programs_74)
endif
